<?php
/**
 * Recipe Blogs: Block Patterns
 *
 * @since Recipe Blogs 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Recipe Blogs 1.0
 *
 * @return void
 */
function recipe_blogs_register_block_patterns() {
	$block_pattern_categories = array(
		'recipe-blogs'    => array( 'label' => __( 'Recipe Blogs', 'recipe-blogs' ) ),
	);

	$block_pattern_categories = apply_filters( 'recipe_blogs_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'recipe_blogs_register_block_patterns', 9 );
